<app-loader [isLoading]='(loaderService.loaderState | async) ?? false' [isInner]='false'></app-loader>


<div *ngIf='movie$ | async as movie' class='daily-movie'>
  <div class='d-flex justify-content-center movie-component mb-2 flex-column align-items-center'>
    <div class='img-box mb-4' *ngIf='movie.results.primaryImage && movie.results.primaryImage.url; else noImage'>
      <img [src]='movie.results.primaryImage.url' [alt]='movie.results.primaryImage.caption.plainText' />
    </div>
    <ng-template #noImage>
      <div class='img-box'>
      </div>
    </ng-template>

    <h5 class='mb-2 font-bold text-center'>{{movie.results.titleText.text}}</h5>
    <h6 class='mb-2 font-bold text-center'>{{movie.results.releaseDate.year}}</h6>

  </div>
  <button (click)="setMovieFavorite()" class='favorite-button' [ngClass]="{
  'is-favorite': getIsFavorite()
}"><mat-icon class="rotated-icon">favorite</mat-icon></button>

</div>
